Install New Apple Update to Address Current Vulnerabilities | Information Technology | University of Pittsburgh
!

You are here

Install New Apple Update to Address Current Vulnerabilities

Tuesday, September 14, 2021 - 09:50

 

Apple has announced security updates to address vulnerabilities that are currently being exploited. These vulnerabilities affect the following software: 

  • watchOS versions before 7.6.2
  • Safari versions before 14.1.2
    (14611.3.10.1.7 on macOS Mojave and 15611.3.10.1.7 on macOS Catalina)
  • iOS/iPadOS versions before 14.8
  • macOS Big Sur versions before 11.6
  • macOS Catalina without Security Update 2021-005

Pitt Information Technology recommends that users immediately identify and install the security updates necessary to remediate these vulnerabilities by following the guidance on Apple’s website.

In addition, Pitt IT recommends that all students, faculty, and staff install Antivirus and Anti-Malware (Malwarebytes) Protection. Departments can submit a help request to obtain Malwarebytes for multiple machines.

Please contact the 24/7 IT Help Desk at 412-624-HELP (4357) if you have any questions regarding this announcement.